<?php
if ( ! defined( 'ABSPATH' ) ) {	exit; }

function financraft_btn_shortcode($atts){
    extract(shortcode_atts(array(
        'btn_text' => '',
        'link_type' => '1',
		'link_to_page' => '',
        'external_link' => '',
        'style' => '1',
        'alignment' => 1,
    ), $atts));
    if($link_type == 1){
        $link = get_page_link($link_to_page);
    }else{
        $link = $external_link;
    }
    if($alignment == 1){
        $btn_alignment = 'text-left';
    }
    elseif($alignment == 2){
        $btn_alignment = 'text-right';
    }
    else{
        $btn_alignment = 'text-center';
    }
    if($style == 1){
       $financraft_title_markup = '
            <div class="financraft-button '.esc_attr($btn_alignment).'">
                <a class="financraft-btn" href="'.esc_url($link).'">'.esc_html($btn_text).'</a>
            </div>
        '; 
    }else if($style == 2){
        $financraft_title_markup = '
            <div class="financraft-button style-2 '.esc_attr($btn-alignment).'">
                <a href="'.esc_url($link).'">'.esc_html($btn_text).'</a>
            </div>
        '; 
    }else if($style == 3){
        $financraft_title_markup = '
            <div class="financraft-button style-3 '.esc_attr($btn-alignment).'">
                <a href="'.esc_url($link).'">'.esc_html($btn_text).'</a>
            </div>
        '; 
    }else if($style == 4){
        $financraft_title_markup = '
            <div class="financraft-button style-4 '.esc_attr($btn-alignment).'">
                <a href="'.esc_url($link).'">'.esc_html($btn_text).'</a>
            </div>
        '; 
    }else{
        $financraft_title_markup = '
            <div class="financraft-button style-5 '.esc_attr($btn-alignment).'">
                <a href="'.esc_url($link).'">'.esc_html($btn_text).'</a>
            </div>
        '; 
    }
    
    return $financraft_title_markup;
}
add_shortcode('btn_shortcode', 'financraft_btn_shortcode');
