<?php

if( !defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

vc_map( array(
    "name" => esc_html__( "Counter", "financraft-package" ),
    "base" => "counter_shortcode",
	"icon" => FINANCRAFT_ACC_URL . '/assets/img/counter.png',
    "category" => esc_html__( "Financraft", "financraft-package" ),
    "params" => array(        
        array(
            "type" => "dropdown",
            "heading" => esc_html__( "Counter Style", "financraft-package" ),
            "param_name" => "counter_style",
            "description" => esc_html__( "Select Counter Style", "financraft-package" ),
            "std" => esc_html__("1", "financraft-package") ,
            "value" => array(
				esc_html__("Style One", "financraft-package") => "1",
				esc_html__("Style Two", "financraft-package") => "2",
			) ,
         ),      
        array(
            "type" => "attach_image",
            "heading" => esc_html__( "Counter Image Icon", "financraft-package" ),
            "param_name" => "image",
            "description" => esc_html__( "Upload Counter Icon Image", "financraft-package" ),
            "dependency" => array(
                "element" => "counter_style",
                "value" => array("1")
            )
         ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( "Counter Number", "financraft-package" ),
            "param_name" => "number",
            "description" => esc_html__( "Type Counter Number", "financraft-package" ),
         ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( "Counter Symble", "financraft-package" ),
            "param_name" => "symble",
            "description" => esc_html__( "Type Counter Symble", "financraft-package" ),
         ),
        array(
            "type" => "textarea",
            "heading" => esc_html__( "Counter Text", "financraft-package" ),
            "param_name" => "text",
            "description" => esc_html__( "Type Counter text", "financraft-package" ),
         ),
        
    )
));
