<?php

if ( ! defined( 'ABSPATH' ) ) {	exit; }

function financraft_blog_grid_shortcode( $atts ){
    extract(shortcode_atts(array(
		'count' => '3',
    ), $atts));
    
    $r = new WP_Query(array(
        'posts_per_page' => $count,
        'post_type' => 'post',
        'ignore_sticky_posts' => 1
    ));
    
    $blog_markup ='
    <div class="row">';
    while($r->have_posts()):$r->the_post();
    $idd = get_the_ID();
    
    if(has_post_thumbnail()){
        $blog_image = '<a href="'.esc_url(get_permalink()).'"><div class="blog-image" style="background-image:url('.get_the_post_thumbnail_url($idd, 'blog-grid-thumbnil').')"></div></a>';
    }else{
        $blog_image = '';
    }
    $post_excerpt = get_the_excerpt();
    $blog_markup .='
        <div class="col-lg-6 col-sm-6 col-md-4">
            <div class="blog-item">
                <div class="blog-thumbni">
                    '.$blog_image.'
                </div>
                <div class="blog-info">
                    <ul>
                        <li>'.get_the_date('j F, Y').'</li>
                        <li>By <a href="'.get_permalink().'">'.get_the_author().'</a></li>
                    </ul>
                    <h3><a href="'.esc_url(get_permalink()).'">'.esc_html(get_the_title($idd)).'</a></h3>
                    <div class="blog-excerpt">
                    '.get_the_excerpt().'
                    </div>
                    <a href="'.esc_url(get_permalink()).'" class="financraft-btn readmore-btn">'.esc_html__('Read more', 'financraft-package').'</a>
                </div>
            </div>
        </div>
    ';
    endwhile;
    
    $blog_markup .='        
        </div>
    ';
    wp_reset_query();
    return $blog_markup;
    
}
add_shortcode('blog_grid_shortcode', 'financraft_blog_grid_shortcode');