<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
	
}

vc_map(array(
	"name" => esc_html__("Blog Posts Addon", "financraft-package") ,
	"base" => "blog_grid_shortcode",
	"icon" => FINANCRAFT_ACC_URL . '/assets/img/blog.png',
	"category" => esc_html__("Financraft", "financraft-package") ,
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => esc_html__("Posts Count", "financraft-package") ,
			"param_name" => "count",
			"std" => esc_html__("3", "financraft-package") ,
			"value" => array(
				'1' => '1',
				'2' => '2',
				'3' => '3',
				'4' => '4',
				'5' => '5',
				'6' => '6',
				'7' => '7',
				'9' => '8',
				'9' => '9',
			) ,
			"description" => esc_html__("How many posts you want to show?", "financraft-package") ,
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Show Post Date?", "financraft-package") ,
			"param_name" => "date",
			"std" => esc_html__("1", "financraft-package") ,
			"value" => array(
				esc_html__("Yes", "financraft-package") => "1",
				esc_html__("No", "financraft-package") => "2",
			) ,
			"description" => esc_html__("Show or hide post date.", "financraft-package") ,
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Show Post Comment?", "financraft-package") ,
			"param_name" => "comment",
			"std" => esc_html__("1", "financraft-package") ,
			"value" => array(
				esc_html__("Yes", "financraft-package") => "1",
				esc_html__("No", "financraft-package") => "2",
			) ,
			"description" => esc_html__("Show or hide post date.", "financraft-package") ,
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Show Post Author?", "financraft-package") ,
			"param_name" => "author",
			"std" => esc_html__("1", "financraft-package") ,
			"value" => array(
				esc_html__("Yes", "financraft-package") => "1",
				esc_html__("No", "financraft-package") => "2",
			) ,
			"description" => esc_html__("Show or hide post author name.", "financraft-package") ,
		) ,

	)
));

